package contrib.tapestry.exception;

import java.io.Serializable;


public class ExceptionDescription implements Serializable {

   private String exceptionClassName;
   private String message;
   private ExceptionProperty[] properties;
   private String[] stackTrace;

   public ExceptionDescription(String exceptionClassName, String message, ExceptionProperty[] properties, String[] stackTrace) {
      this.exceptionClassName = exceptionClassName;
      this.message = message;
      this.properties = properties;
      this.stackTrace = stackTrace;
   }

   public String getExceptionClassName() {
      return exceptionClassName;
   }

   public String getMessage() {
      return message;
   }

   public ExceptionProperty[] getProperties() {
      return properties;
   }

   public String[] getStackTrace() {
      return stackTrace;
   }
}