package contrib.tapestry.exception.pages;

import org.apache.tapestry.html.BasePage;
import contrib.tapestry.exception.ExceptionAnalyzer;
import contrib.tapestry.exception.ExceptionDescription;

public class Exception extends BasePage {
   private ExceptionDescription[] _exceptions;

   public void detach() {
      this._exceptions = null;
      super.detach();
   }

   public ExceptionDescription[] getExceptions() {
      return this._exceptions;
   }

   public void setException(Throwable value) {
      ExceptionAnalyzer analyzer = new ExceptionAnalyzer();
      this._exceptions = analyzer.analyze(value);
   }

}